Package org.apache.tools.ant.taskdefs

## Class XSLTProcess.Factory.Attribute

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.XSLTProcess.Factory.Attribute

All Implemented Interfaces:
  `java.lang.Cloneable`, `DynamicAttribute`, `DynamicConfigurator`, `DynamicElement`

Enclosing class:
  XSLTProcess.Factory

    public static class XSLTProcess.Factory.Attribute
    extends ProjectComponent
    implements DynamicConfigurator

A JAXP factory attribute. This is mostly processor specific, for example for Xalan 2.3+, the following attributes could be set:

- http://xml.apache.org/xalan/features/optimize (true|false)
- http://xml.apache.org/xalan/features/incremental (true|false)

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`Attribute()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `createDynamicElement​(java.lang.String name)` Not used.
`java.lang.String` `getName()`
`java.lang.Object` `getValue()`
`void` `setDynamicAttribute​(java.lang.String name, java.lang.String value)` Set an attribute.

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Attribute

    public Attribute()

### Method Detail

#### getName

    public java.lang.String getName()

Returns:
  the attribute name.

#### getValue

    public java.lang.Object getValue()

Returns:
  the attribute value.

#### createDynamicElement

    public java.lang.Object createDynamicElement​(java.lang.String name)
                                          throws BuildException

Not used.

Specified by:
  `createDynamicElement` in interface `DynamicElement`
Parameters:
  `name` - not used
Returns:
  null
Throws:
  `BuildException` - never

#### setDynamicAttribute

    public void setDynamicAttribute​(java.lang.String name,
                                    java.lang.String value)
                             throws BuildException

Set an attribute. Only "name" and "value" are supported as names.

Specified by:
  `setDynamicAttribute` in interface `DynamicAttribute`
Parameters:
  `name` - the name of the attribute
  `value` - the value of the attribute
Throws:
  `BuildException` - on error